1

I use Python (3.8.5) with Spyder and I tried to install web3 with this tutorial : https://web3py.readthedocs.io/en/stable/quickstart.html

The command "pip install web3" failed.

Here is what I got, any idea of the probleme ?

pip install web3
Collecting web3
  Using cached web3-5.17.0-py3-none-any.whl (469 kB)
Collecting websockets<9.0.0,>=8.1.0
  Using cached websockets-8.1-cp38-cp38-win_amd64.whl (66 kB)
Collecting pypiwin32>=223
  Using cached pypiwin32-223-py3-none-any.whl (1.7 kB)
Requirement already satisfied: hexbytes<1.0.0,>=0.1.0 in c:\users\mathi\anaconda3\lib\site-packages (from web3) (0.2.1)
Requirement already satisfied: jsonschema<4.0.0,>=3.2.0 in c:\users\mathi\anaconda3\lib\site-packages (from web3) (3.2.0)
Collecting protobuf<4,>=3.10.0
  Using cached protobuf-3.15.6-py2.py3-none-any.whl (173 kB)
Requirement already satisfied: requests<3.0.0,>=2.16.0 in c:\users\mathi\anaconda3\lib\site-packages (from web3) (2.24.0)
Collecting ipfshttpclient==0.7.0a1
  Using cached ipfshttpclient-0.7.0a1-py3-none-any.whl (231 kB)
Requirement already satisfied: eth-hash[pycryptodome]<1.0.0,>=0.2.0 in c:\users\mathi\anaconda3\lib\site-packages (from web3) (0.3.1)
Requirement already satisfied: eth-typing<3.0.0,>=2.0.0 in c:\users\mathi\anaconda3\lib\site-packages (from web3) (2.2.2)
Collecting eth-account<0.6.0,>=0.5.3
  Using cached eth_account-0.5.4-py3-none-any.whl (94 kB)
Requirement already satisfied: eth-utils<2.0.0,>=1.9.5 in c:\users\mathi\anaconda3\lib\site-packages (from web3) (1.10.0)
Collecting lru-dict<2.0.0,>=1.1.6
  Using cached lru-dict-1.1.7.tar.gz (10 kB)
Requirement already satisfied: eth-abi<3.0.0,>=2.0.0b6 in c:\users\mathi\anaconda3\lib\site-packages (from web3) (2.1.1)
Requirement already satisfied: multiaddr>=0.0.7 in c:\users\mathi\anaconda3\lib\site-packages (from ipfshttpclient==0.7.0a1->web3) (0.0.9)
Requirement already satisfied: parsimonious<0.9.0,>=0.8.0 in c:\users\mathi\anaconda3\lib\site-packages (from eth-abi<3.0.0,>=2.0.0b6->web3) (0.8.1)
Collecting bitarray<1.3.0,>=1.2.1
  Using cached bitarray-1.2.2.tar.gz (48 kB)
Requirement already satisfied: eth-keys!=0.3.2,<0.4.0,>=0.2.1 in c:\users\mathi\anaconda3\lib\site-packages (from eth-account<0.6.0,>=0.5.3->web3) (0.3.3)
Requirement already satisfied: rlp<3,>=1.0.0 in c:\users\mathi\anaconda3\lib\site-packages (from eth-account<0.6.0,>=0.5.3->web3) (2.0.1)
Requirement already satisfied: eth-rlp<2,>=0.1.2 in c:\users\mathi\anaconda3\lib\site-packages (from eth-account<0.6.0,>=0.5.3->web3) (0.2.1)
Requirement already satisfied: eth-keyfile<0.6.0,>=0.5.0 in c:\users\mathi\anaconda3\lib\site-packages (from eth-account<0.6.0,>=0.5.3->web3) (0.5.1)
Requirement already satisfied: pycryptodome<4,>=3.6.6 in c:\users\mathi\anaconda3\lib\site-packages (from eth-hash[pycryptodome]<1.0.0,>=0.2.0->web3) (3.10.1)
Requirement already satisfied: cytoolz<1.0.0,>=0.9.0 in c:\users\mathi\anaconda3\lib\site-packages (from eth-keyfile<0.6.0,>=0.5.0->eth-account<0.6.0,>=0.5.3->web3) (0.11.0)
Requirement already satisfied: toolz>=0.8.0 in c:\users\mathi\anaconda3\lib\site-packages (from cytoolz<1.0.0,>=0.9.0->eth-keyfile<0.6.0,>=0.5.0->eth-account<0.6.0,>=0.5.3->web3) (0.11.1)
Requirement already satisfied: pyrsistent>=0.14.0 in c:\users\mathi\anaconda3\lib\site-packages (from jsonschema<4.0.0,>=3.2.0->web3) (0.17.3)
Requirement already satisfied: attrs>=17.4.0 in c:\users\mathi\anaconda3\lib\site-packages (from jsonschema<4.0.0,>=3.2.0->web3) (20.3.0)
Requirement already satisfied: six>=1.11.0 in c:\users\mathi\anaconda3\lib\site-packages (from jsonschema<4.0.0,>=3.2.0->web3) (1.15.0)
Requirement already satisfied: setuptools in c:\users\mathi\anaconda3\lib\site-packages (from jsonschema<4.0.0,>=3.2.0->web3) (54.1.1)
Requirement already satisfied: varint in c:\users\mathi\anaconda3\lib\site-packages (from multiaddr>=0.0.7->ipfshttpclient==0.7.0a1->web3) (1.0.2)
Requirement already satisfied: base58 in c:\users\mathi\anaconda3\lib\site-packages (from multiaddr>=0.0.7->ipfshttpclient==0.7.0a1->web3) (2.1.0)
Requirement already satisfied: netaddr in c:\users\mathi\anaconda3\lib\site-packages (from multiaddr>=0.0.7->ipfshttpclient==0.7.0a1->web3) (0.8.0)
Requirement already satisfied: pywin32>=223 in c:\users\mathi\anaconda3\lib\site-packages (from pypiwin32>=223->web3) (227)
Requirement already satisfied: idna<3,>=2.5 in c:\users\mathi\anaconda3\lib\site-packages (from requests<3.0.0,>=2.16.0->web3) (2.10)
Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in c:\users\mathi\anaconda3\lib\site-packages (from requests<3.0.0,>=2.16.0->web3) (1.25.11)
Requirement already satisfied: certifi>=2017.4.17 in c:\users\mathi\anaconda3\lib\site-packages (from requests<3.0.0,>=2.16.0->web3) (2020.6.20)
Requirement already satisfied: chardet<4,>=3.0.2 in c:\users\mathi\anaconda3\lib\site-packages (from requests<3.0.0,>=2.16.0->web3) (3.0.4)
Building wheels for collected packages: bitarray, lru-dict
  Building wheel for bitarray (setup.py): started
  Building wheel for bitarray (setup.py): finished with status 'error'
  Running setup.py clean for bitarray
  Building wheel for lru-dict (setup.py): started
  Building wheel for lru-dict (setup.py): finished with status 'error'
  Running setup.py clean for lru-dict
Failed to build bitarray lru-dict
Installing collected packages: bitarray, websockets, pypiwin32, protobuf, lru-dict, ipfshttpclient, eth-account, web3
  Attempting uninstall: bitarray
    Found existing installation: bitarray 1.6.1
    Uninstalling bitarray-1.6.1:
      Successfully uninstalled bitarray-1.6.1
    Running setup.py install for bitarray: started
    Running setup.py install for bitarray: finished with status 'error'
  Rolling back uninstall of bitarray
  Moving to c:\users\mathi\anaconda3\lib\site-packages\bitarray-1.6.1.dist-info\
   from C:\Users\mathi\anaconda3\Lib\site-packages\~itarray-1.6.1.dist-info
  Moving to c:\users\mathi\anaconda3\lib\site-packages\bitarray\
   from C:\Users\mathi\anaconda3\Lib\site-packages\~itarray
Note: you may need to restart the kernel to use updated packages.
  ERROR: Command errored out with exit status 1:
   command: 'C:\Users\mathi\anaconda3\python.exe' -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\mathi\\AppData\\Local\\Temp\\pip-install-gv1rin93\\bitarray_0df3e5859b8d4e539f2568e5a26dea9a\\setup.py'"'"'; __file__='"'"'C:\\Users\\mathi\\AppData\\Local\\Temp\\pip-install-gv1rin93\\bitarray_0df3e5859b8d4e539f2568e5a26dea9a\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d 'C:\Users\mathi\AppData\Local\Temp\pip-wheel-y1wnh1ii'
       cwd: C:\Users\mathi\AppData\Local\Temp\pip-install-gv1rin93\bitarray_0df3e5859b8d4e539f2568e5a26dea9a\
  Complete output (13 lines):
  running bdist_wheel
  running build
  running build_py
  creating build
  creating build\lib.win-amd64-3.8
  creating build\lib.win-amd64-3.8\bitarray
  copying bitarray\test_bitarray.py -> build\lib.win-amd64-3.8\bitarray
  copying bitarray\test_util.py -> build\lib.win-amd64-3.8\bitarray
  copying bitarray\util.py -> build\lib.win-amd64-3.8\bitarray
  copying bitarray\__init__.py -> build\lib.win-amd64-3.8\bitarray
  running build_ext
  building 'bitarray._bitarray' extension
  error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/
  ----------------------------------------
  ERROR: Failed building wheel for bitarray
  ERROR: Command errored out with exit status 1:
   command: 'C:\Users\mathi\anaconda3\python.exe' -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\mathi\\AppData\\Local\\Temp\\pip-install-gv1rin93\\lru-dict_d82c64e41adc415e83a30707872093b6\\setup.py'"'"'; __file__='"'"'C:\\Users\\mathi\\AppData\\Local\\Temp\\pip-install-gv1rin93\\lru-dict_d82c64e41adc415e83a30707872093b6\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d 'C:\Users\mathi\AppData\Local\Temp\pip-wheel-zsufvzkj'
       cwd: C:\Users\mathi\AppData\Local\Temp\pip-install-gv1rin93\lru-dict_d82c64e41adc415e83a30707872093b6\
  Complete output (5 lines):
  running bdist_wheel
  running build
  running build_ext
  building 'lru' extension
  error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/
  ----------------------------------------
  ERROR: Failed building wheel for lru-dict
    ERROR: Command errored out with exit status 1:
     command: 'C:\Users\mathi\anaconda3\python.exe' -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\mathi\\AppData\\Local\\Temp\\pip-install-gv1rin93\\bitarray_0df3e5859b8d4e539f2568e5a26dea9a\\setup.py'"'"'; __file__='"'"'C:\\Users\\mathi\\AppData\\Local\\Temp\\pip-install-gv1rin93\\bitarray_0df3e5859b8d4e539f2568e5a26dea9a\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record 'C:\Users\mathi\AppData\Local\Temp\pip-record-r2damna_\install-record.txt' --single-version-externally-managed --compile --install-headers 'C:\Users\mathi\anaconda3\Include\bitarray'
         cwd: C:\Users\mathi\AppData\Local\Temp\pip-install-gv1rin93\bitarray_0df3e5859b8d4e539f2568e5a26dea9a\
    Complete output (13 lines):
    running install
    running build
    running build_py
    creating build
    creating build\lib.win-amd64-3.8
    creating build\lib.win-amd64-3.8\bitarray
    copying bitarray\test_bitarray.py -> build\lib.win-amd64-3.8\bitarray
    copying bitarray\test_util.py -> build\lib.win-amd64-3.8\bitarray
    copying bitarray\util.py -> build\lib.win-amd64-3.8\bitarray
    copying bitarray\__init__.py -> build\lib.win-amd64-3.8\bitarray
    running build_ext
    building 'bitarray._bitarray' extension
    error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/
    ----------------------------------------
ERROR: Command errored out with exit status 1: 'C:\Users\mathi\anaconda3\python.exe' -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\mathi\\AppData\\Local\\Temp\\pip-install-gv1rin93\\bitarray_0df3e5859b8d4e539f2568e5a26dea9a\\setup.py'"'"'; __file__='"'"'C:\\Users\\mathi\\AppData\\Local\\Temp\\pip-install-gv1rin93\\bitarray_0df3e5859b8d4e539f2568e5a26dea9a\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record 'C:\Users\mathi\AppData\Local\Temp\pip-record-r2damna_\install-record.txt' --single-version-externally-managed --compile --install-headers 'C:\Users\mathi\anaconda3\Include\bitarray' Check the logs for full command output.
3

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.